# pandas.api.extensions.ExtensionArray.searchsorted

`ExtensionArray.``searchsorted`(value, side='left', sorter=None)

  Find indices where elements should be inserted to maintain order.

  New in version 0.24.0.

  Find the indices into a sorted array self (a) such that, if the corresponding elements in value were inserted before the indices, the order of self would be preserved.

  Assuming that self is sorted:

  side | returned index i satisfies
  --- | ---
  left | `self[i-1] < value <= self[i]`
  right | `self[i-1] <= value < self[i]`

  Parameters:

  value : array_like

  > Values to insert into self.

  side : {‘left’, ‘right’}, optional

  > If ‘left’, the index of the first suitable location found is given. If ‘right’, return the last such index. If there is no suitable index, return either 0 or N (where N is the length of self).

  sorter : 1-D array_like, optional

  > Optional array of integer indices that sort array a into ascending order. They are typically the result of argsort.

  Returns:

  array of ints

  > Array of insertion points with the same shape as value.

  See also

  `numpy.searchsorted`
    Similar method from NumPy.

Scroll To Top